# CEGUI::colour Class Reference

Class representing colour values within the system. More...

List of all members.

## Public Member Functions

| colour (const colour &val)
| colour (float red, float green, float blue, float alpha=1.0f)
| colour (argb_t argb)
argb_t | getARGB (void) const
float | getAlpha (void) const
float | getRed (void) const
float | getGreen (void) const
float | getBlue (void) const
float | getHue (void) const
float | getSaturation (void) const
float | getLumination (void) const
void | setARGB (argb_t argb)
void | setAlpha (float alpha)
void | setRed (float red)
void | setGreen (float green)
void | setBlue (float blue)
void | set (float red, float green, float blue, float alpha=1.0f)
void | setRGB (float red, float green, float blue)
void | setRGB (const colour &val)
void | setHSL (float hue, float saturation, float luminance, float alpha=1.0f)
void | invertColour (void)
void | invertColourWithAlpha (void)
colour & | operator= (argb_t val)
colour & | operator= (const colour &val)
colour & | operator &= (argb_t val)
colour & | operator &= (const colour &val)
colour & | operator|= (argb_t val)
colour & | operator|= (const colour &val)
colour & | operator<<= (int val)
colour & | operator>>= (int val)
colour | operator+ (const colour &val) const
colour | operator- (const colour &val) const
colour | operator * (const float val) const
colour & | operator *= (const colour &val)
bool | operator== (const colour &rhs) const
bool | operator!= (const colour &rhs) const
| operator argb_t () const

## Detailed Description

Class representing colour values within the system.